import request from '@/utils/request'

// 查询教学日志列表
export function listJournal(query) {
  return request({
    url: '/drivingSchool/system/journal/list',
    method: 'get',
    params: query
  })
}

// 查询教学日志详细
export function getJournal(id) {
  return request({
    url: '/drivingSchool/system/journal/' + id,
    method: 'get'
  })
}

// 新增教学日志
export function addJournal(data) {
  return request({
    url: '/drivingSchool/system/journal',
    method: 'post',
    data: data
  })
}

// 修改教学日志
export function updateJournal(data) {
  return request({
    url: '/drivingSchool/system/journal',
    method: 'put',
    data: data
  })
}

// 删除教学日志
export function delJournal(id) {
  return request({
    url: '/drivingSchool/system/journal/' + id,
    method: 'delete'
  })
}
